<?php

namespace Drupal\Tests\config_overlay\Functional;

use Drupal\Core\Config\StorageInterface;
use Drupal\user\RoleInterface;

/**
 * Tests installation of the Minimal profile with Configuration Overlay.
 *
 * @group config_overlay
 */
class ConfigOverlayMinimalTest extends ConfigOverlayProfileTestBase {

  /**
   * {@inheritdoc}
   */
  protected $profile = 'minimal';

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * {@inheritdoc}
   */
  protected function getOverriddenConfig() {
    $overridden_config = parent::getOverriddenConfig();

    /* @see node_install() */
    $role_ids = [RoleInterface::ANONYMOUS_ID, RoleInterface::AUTHENTICATED_ID];
    foreach ($role_ids as $role_id) {
      $overridden_config[StorageInterface::DEFAULT_COLLECTION]["user.role.$role_id"] = [
        'permissions' => ['access content'],
      ];
    }

    return $overridden_config;
  }

  /**
   * {@inheritdoc}
   */
  protected function getModules() {
    $modules = parent::getModules();
    $modules += [
      'block' => 0,
      'dblog' => 0,
      'dynamic_page_cache' => 0,
      'field' => 0,
      'filter' => 0,
      'node' => 0,
      'page_cache' => 0,
      'text' => 0,
    ];
    return $modules;
  }

}
