<?php

namespace Drupal\Tests\config_overlay\Functional\ExistingConfig;

use Drupal\Core\Config\StorageInterface;

/**
 * Tests installation with existing configuration with Configuration Overlay.
 *
 * @group config_overlay
 */
class ConfigOverlayTestingExistingConfigTest extends ConfigOverlayExistingConfigTestBase {

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * {@inheritdoc}
   */
  protected function getConfigTarball() {
    // This tarball contains the following configuration files:
    // - core.extension.yml: With the extensions given by the Testing profile
    //   plus Config Overlay.
    // - system.date.yml: To set the default timezone to UTC.
    // - system.site.yml: To set the site UUID, name and mail.
    return __DIR__ . '/../../../fixtures/config_install/testing_config_install.tar.gz';
  }

  /**
   * {@inheritdoc}
   */
  protected function getOverriddenConfig() {
    $overridden_config = parent::getOverriddenConfig();

    $overridden_config[StorageInterface::DEFAULT_COLLECTION]['system.date']['timezone']['default'] = 'UTC';
    $overridden_config[StorageInterface::DEFAULT_COLLECTION]['system.site']['name'] = 'Site with Testing profile and Config Overlay';
    $overridden_config[StorageInterface::DEFAULT_COLLECTION]['system.site']['mail'] = 'admin@example.com';

    return $overridden_config;
  }

  /**
   * {@inheritdoc}
   */
  protected function getModules() {
    $modules = parent::getModules();
    $modules += [
      'dynamic_page_cache' => 0,
      'page_cache' => 0,
    ];
    return $modules;
  }

}
